Bug 1335420 (CVE-2016-3725) - CVE-2016-3725 jenkins: Regular users can trigger download of update site metadata (SECURITY-273)
Summary: CVE-2016-3725 jenkins: Regular users can trigger download of update site meta...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3725
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1335427 1349611
Blocks: 1335425
TreeView+ depends on / blocked
 
Reported: 2016-05-12 08:32 UTC by Andrej Nemec
Modified: 2019-09-29 13:49 UTC (History)
16 users (show)

Fixed In Version: Jenkins 2.3, Jenkins 1.651.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-06 19:14:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1206 normal SHIPPED_LIVE Moderate: jenkins security update 2016-06-06 23:06:23 UTC
Red Hat Product Errata RHSA-2016:1773 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.10 security, bug fix, and enhancement update 2016-08-24 23:41:18 UTC

Description Andrej Nemec 2016-05-12 08:32:35 UTC
The following flaw was found in Jenkins:

A missing permissions check allowed any user with access to Jenkins to trigger an update of update site metadata. This could be combined with DNS cache poisoning to disrupt Jenkins service.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2016-05-11

Comment 1 Andrej Nemec 2016-05-12 08:39:25 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1335427]

Comment 2 Fedora Update System 2016-05-21 20:28:36 UTC
jenkins-1.651.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-26 21:53:18 UTC
jenkins-1.625.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-26 22:19:48 UTC
jenkins-1.609.3-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2016-06-06 19:07:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 3.2
  Red Hat OpenShift Enterprise 3.1

Via RHSA-2016:1206 https://access.redhat.com/errata/RHSA-2016:1206

Comment 7 errata-xmlrpc 2016-08-24 19:45:46 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:1773 https://rhn.redhat.com/errata/RHSA-2016-1773.html


Note You need to log in before you can comment on or make changes to this bug.